Infront Data Manager Connect Client (.NET)

Public Member Functions | Static Public Member Functions | List of all members
Gevasys.DataCore.Webservice.Authentication Class Reference

Stores the authentication. More...

## Public Member Functions
| Authentication ()
| Default constructor. More...

## Static Public Member Functions
static String | GetUser ()
| Gets the actual user. More...
static String | GetPassword ()
| Gets the actual password. More...
static void | SetCredentials (String user, String password)
| Sets the credentials that are actually used by the API. For changing the credentials a API restart is needed. More...
static Gevasys.DataCore.Webservice.Generated.SessionCreateResult | Login (DataCoreServiceClient service)
| Executes the login for streaming services. More...

## Detailed Description

Stores the authentication.

## Constructor & Destructor Documentation

## ◆ Authentication()

Gevasys.DataCore.Webservice.Authentication.Authentication | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ GetPassword()

static String Gevasys.DataCore.Webservice.Authentication.GetPassword | ( |  | ) |
| inline static

Gets the actual password.

Returns
  The password.

## ◆ GetUser()

static String Gevasys.DataCore.Webservice.Authentication.GetUser | ( |  | ) |
| inline static

Gets the actual user.

Returns
  The user.

## ◆ Login()

static Gevasys.DataCore.Webservice.Generated.SessionCreateResult Gevasys.DataCore.Webservice.Authentication.Login | ( | DataCoreServiceClient | service | ) |
| inline static

Executes the login for streaming services.

## ◆ SetCredentials()

static void Gevasys.DataCore.Webservice.Authentication.SetCredentials | ( | String | user,
|  | String | password
| ) |  |
| inline static

Sets the credentials that are actually used by the API. For changing the credentials a API restart is needed.

Parameters

  user | The user id as provided by vwd.
  password | The password as provided by vwd.

Authentication.SetCredentials("USER FROM VWD", "PASSWORD FROM VWD");

The documentation for this class was generated from the following file:

- Authentication.cs

Gevasys.DataCore.Webservice.Authentication.Authentication
Authentication()
Default constructor.
Definition: Authentication.cs:53

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1